Complete Onboarding Endpoint
curl --request POST \
--url https://api.example.com/api/v1/users/complete-onboarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exit_to_page": "dashboard",
"segment": "",
"goals": "",
"signup_source": "<string>",
"signup_source_detail": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/users/complete-onboarding"
payload = {
"exit_to_page": "dashboard",
"segment": "",
"goals": "",
"signup_source": "<string>",
"signup_source_detail": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exit_to_page: 'dashboard',
segment: '',
goals: '',
signup_source: '<string>',
signup_source_detail: '<string>'
})
};
fetch('https://api.example.com/api/v1/users/complete-onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/users/complete-onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exit_to_page' => 'dashboard',
'segment' => '',
'goals' => '',
'signup_source' => '<string>',
'signup_source_detail' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/users/complete-onboarding"
payload := strings.NewReader("{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/users/complete-onboarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/users/complete-onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}users
Complete Onboarding Endpoint
Complete onboarding outside the chat stream via the existing tool path.
POST
/
api
/
v1
/
users
/
complete-onboarding
Complete Onboarding Endpoint
curl --request POST \
--url https://api.example.com/api/v1/users/complete-onboarding \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exit_to_page": "dashboard",
"segment": "",
"goals": "",
"signup_source": "<string>",
"signup_source_detail": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/users/complete-onboarding"
payload = {
"exit_to_page": "dashboard",
"segment": "",
"goals": "",
"signup_source": "<string>",
"signup_source_detail": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exit_to_page: 'dashboard',
segment: '',
goals: '',
signup_source: '<string>',
signup_source_detail: '<string>'
})
};
fetch('https://api.example.com/api/v1/users/complete-onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/users/complete-onboarding",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exit_to_page' => 'dashboard',
'segment' => '',
'goals' => '',
'signup_source' => '<string>',
'signup_source_detail' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/users/complete-onboarding"
payload := strings.NewReader("{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/users/complete-onboarding")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/users/complete-onboarding")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exit_to_page\": \"dashboard\",\n \"segment\": \"\",\n \"goals\": \"\",\n \"signup_source\": \"<string>\",\n \"signup_source_detail\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for completing onboarding outside the chat stream.
Dashboard page to open after completing onboarding.
Optional frontend segment/persona.
Optional setup goals summary.
Optional acquisition source.
Optional detail when the acquisition source is other.
Response
Successful Response
The response is of type Response Complete Onboarding Endpoint Api V1 Users Complete Onboarding Post · object.
⌘I